## net.sf.saxon.type
Class BuiltInSchemaFactory

    java.lang.Object
      |
      +--net.sf.saxon.type.BuiltInSchemaFactory

All Implemented Interfaces:
  java.io.Serializable

public abstract class BuiltInSchemaFactory
extends java.lang.Object
implements java.io.Serializable

This class is used to construct Schema objects containing all the built-in types: that is, the types defined in the "xs" and "xdt" namespaces.

See Also:
  Serialized Form

Constructor Summary
`BuiltInSchemaFactory()`

Method Summary
`static SchemaType` `getSchemaType(int fingerprint)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuiltInSchemaFactory

    public BuiltInSchemaFactory()

Method Detail

### getSchemaType

    public static SchemaType getSchemaType(int fingerprint)